package com.steerinfo.baseinfo.meterbasetermtaredata.mapper;

import com.steerinfo.framework.mapper.IBaseMapper;
import com.steerinfo.baseinfo.meterbasetermtaredata.model.MeterBaseTermTareData;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseTermTareDataMapper extends IBaseMapper<MeterBaseTermTareData, String> {
    String getNewID(@Param(value="createTime")String createTime);

    List<MeterBaseTermTareData> selectBy(Map<String, Object> parameters);

    void cancelTermTare(HashMap<String, Object> mp);

    MeterBaseTermTareData selectByCarNo(HashMap<String, Object> mp);

    MeterBaseTermTareData selectWhereCarNo(HashMap<String, Object> mp);

    MeterBaseTermTareData selectByDataNo(HashMap<String, Object> mp);

    List<MeterBaseTermTareData> listBycarNo(Map<String, Object> map);
    MeterBaseTermTareData getTermTareData(Map<String, Object> map);


}